Subject: Re: bug#18909: 24.4.50; unexpected (prin1-to-string '(foo "bar") t)

From: Stefan Monnier <[email-masked]>
Date: Fri, 31 Oct 2014 14:16:27 -0400

I don't think you can get what you want with the current code.
The best you can do is (prin1-to-string '(foo.bar "baz")) and then
do a search-and-replace of the "\\.".  But note that the "." is escaped
this way in order to avoid ambiguity with the "." used to separate the
car from the cdr of a cons cell, so you should not unescape every single
"\\.", only the ones where the reader recognizes the "." has being part
of the symbol.

        Stefan